<?php

namespace App\Modals;
use Illuminate\Database\Eloquent\Model;
// use Illuminate\Database\Eloquent\SoftDeletes;

class Course extends Model
{

  public function grade(){
        return $this->belongsTo(Grade::class, 'grade_id','id');
    }

    public function expectations(){
          return $this->hasMany(Expectation::class, 'course_id','id');
      }
      public function outlines(){
            return $this->hasMany(Outline::class, 'course_id','id');
        }
        public function outlines_considerations(){
              return $this->hasMany(Consideration::class, 'course_id','id');
          }

}
